variables:
  # Tell 'docker:dind' to enable TLS (recommended)
  # and generate certificates in the specified directory.
  DOCKER_TLS_CERTDIR: "/certs"

build image:
  image: docker:latest
  services:
      - docker:dind
  before_script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
  script: |
    for image in $(find docker/* -maxdepth 0 -type d -exec basename {} \;); do
      cd docker/$image
      docker build -t $CI_REGISTRY_IMAGE/$image .
      docker push $CI_REGISTRY_IMAGE/$image
      cd -
    done
